## libcryptx-perl 0.063

=== src/Makefile ===
OBJS=ltc/ciphers/anubis.o ltc/ciphers/blowfish.o ltc/ciphers/camellia.o ltc/ciphers/cast5.o \
ltc/ciphers/des.o ltc/ciphers/idea.o ltc/ciphers/kasumi.o ltc/ciphers/khazad.o ltc/ciphers/kseed.o \
ltc/ciphers/multi2.o ltc/ciphers/noekeon.o ltc/ciphers/rc2.o ltc/ciphers/rc5.o ltc/ciphers/rc6.o \
ltc/ciphers/serpent.o ltc/ciphers/skipjack.o ltc/ciphers/xtea.o ltc/ciphers/aes/aes.o \
ltc/ciphers/safer/safer.o ltc/ciphers/safer/saferp.o ltc/ciphers/twofish/twofish.o \
ltc/encauth/ccm/ccm_add_aad.o ltc/encauth/ccm/ccm_add_nonce.o ltc/encauth/ccm/ccm_done.o \
ltc/encauth/ccm/ccm_init.o ltc/encauth/ccm/ccm_memory.o ltc/encauth/ccm/ccm_process.o \
ltc/encauth/ccm/ccm_reset.o ltc/encauth/chachapoly/chacha20poly1305_add_aad.o ltc/encauth/chachapoly/chacha20poly1305_decrypt.o \
ltc/encauth/chachapoly/chacha20poly1305_done.o ltc/encauth/chachapoly/chacha20poly1305_encrypt.o \
ltc/encauth/chachapoly/chacha20poly1305_init.o ltc/encauth/chachapoly/chacha20poly1305_memory.o \
ltc/encauth/chachapoly/chacha20poly1305_setiv.o ltc/encauth/chachapoly/chacha20poly1305_setiv_rfc7905.o \
ltc/encauth/eax/eax_addheader.o ltc/encauth/eax/eax_decrypt.o ltc/encauth/eax/eax_decrypt_verify_memory.o \
ltc/encauth/eax/eax_done.o ltc/encauth/eax/eax_encrypt.o ltc/encauth/eax/eax_encrypt_authenticate_memory.o \
ltc/encauth/eax/eax_init.o ltc/encauth/gcm/gcm_add_aad.o ltc/encauth/gcm/gcm_add_iv.o \
ltc/encauth/gcm/gcm_done.o ltc/encauth/gcm/gcm_gf_mult.o ltc/encauth/gcm/gcm_init.o \
ltc/encauth/gcm/gcm_memory.o ltc/encauth/gcm/gcm_mult_h.o ltc/encauth/gcm/gcm_process.o \
ltc/encauth/gcm/gcm_reset.o ltc/encauth/ocb3/ocb3_add_aad.o ltc/encauth/ocb3/ocb3_decrypt.o \
ltc/encauth/ocb3/ocb3_decrypt_last.o ltc/encauth/ocb3/ocb3_decrypt_verify_memory.o \
ltc/encauth/ocb3/ocb3_done.o ltc/encauth/ocb3/ocb3_encrypt.o ltc/encauth/ocb3/ocb3_encrypt_authenticate_memory.o \
ltc/encauth/ocb3/ocb3_encrypt_last.o ltc/encauth/ocb3/ocb3_init.o ltc/encauth/ocb3/ocb3_int_ntz.o \
ltc/encauth/ocb3/ocb3_int_xor_blocks.o ltc/hashes/blake2b.o ltc/hashes/blake2s.o \
ltc/hashes/md2.o ltc/hashes/md4.o ltc/hashes/md5.o ltc/hashes/rmd128.o ltc/hashes/rmd160.o \
ltc/hashes/rmd256.o ltc/hashes/rmd320.o ltc/hashes/sha1.o ltc/hashes/sha3.o ltc/hashes/sha3_test.o \
ltc/hashes/tiger.o ltc/hashes/chc/chc.o ltc/hashes/helper/hash_file.o ltc/hashes/helper/hash_filehandle.o \
ltc/hashes/helper/hash_memory.o ltc/hashes/helper/hash_memory_multi.o ltc/hashes/sha2/sha224.o \
ltc/hashes/sha2/sha256.o ltc/hashes/sha2/sha384.o ltc/hashes/sha2/sha512.o ltc/hashes/sha2/sha512_224.o \
ltc/hashes/sha2/sha512_256.o ltc/hashes/whirl/whirl.o ltc/mac/blake2/blake2bmac.o \
ltc/mac/blake2/blake2bmac_file.o ltc/mac/blake2/blake2bmac_memory.o ltc/mac/blake2/blake2bmac_memory_multi.o \
ltc/mac/blake2/blake2smac.o ltc/mac/blake2/blake2smac_file.o ltc/mac/blake2/blake2smac_memory.o \
ltc/mac/blake2/blake2smac_memory_multi.o ltc/mac/f9/f9_done.o ltc/mac/f9/f9_file.o \
ltc/mac/f9/f9_init.o ltc/mac/f9/f9_memory.o ltc/mac/f9/f9_memory_multi.o ltc/mac/f9/f9_process.o \
ltc/mac/hmac/hmac_done.o ltc/mac/hmac/hmac_file.o ltc/mac/hmac/hmac_init.o ltc/mac/hmac/hmac_memory.o \
ltc/mac/hmac/hmac_memory_multi.o ltc/mac/hmac/hmac_process.o ltc/mac/omac/omac_done.o \
ltc/mac/omac/omac_file.o ltc/mac/omac/omac_init.o ltc/mac/omac/omac_memory.o ltc/mac/omac/omac_memory_multi.o \
ltc/mac/omac/omac_process.o ltc/mac/pelican/pelican.o ltc/mac/pelican/pelican_memory.o \
ltc/mac/pmac/pmac_done.o ltc/mac/pmac/pmac_file.o ltc/mac/pmac/pmac_init.o ltc/mac/pmac/pmac_memory.o \
ltc/mac/pmac/pmac_memory_multi.o ltc/mac/pmac/pmac_ntz.o ltc/mac/pmac/pmac_process.o \
ltc/mac/pmac/pmac_shift_xor.o ltc/mac/poly1305/poly1305.o ltc/mac/poly1305/poly1305_file.o \
ltc/mac/poly1305/poly1305_memory.o ltc/mac/poly1305/poly1305_memory_multi.o ltc/mac/xcbc/xcbc_done.o \
ltc/mac/xcbc/xcbc_file.o ltc/mac/xcbc/xcbc_init.o ltc/mac/xcbc/xcbc_memory.o ltc/mac/xcbc/xcbc_memory_multi.o \
ltc/mac/xcbc/xcbc_process.o ltc/math/ltm_desc.o ltc/math/multi.o ltc/math/radix_to_bin.o \
ltc/math/rand_bn.o ltc/math/rand_prime.o ltc/math/tfm_desc.o ltc/math/fp/ltc_ecc_fp_mulmod.o \
ltc/misc/adler32.o ltc/misc/burn_stack.o ltc/misc/compare_testvector.o ltc/misc/copy_or_zeromem.o \
ltc/misc/crc32.o ltc/misc/error_to_string.o ltc/misc/mem_neq.o ltc/misc/zeromem.o \
ltc/misc/base16/base16_decode.o ltc/misc/base16/base16_encode.o ltc/misc/base32/base32_decode.o \
ltc/misc/base32/base32_encode.o ltc/misc/base64/base64_decode.o ltc/misc/base64/base64_encode.o \
ltc/misc/crypt/crypt.o ltc/misc/crypt/crypt_argchk.o ltc/misc/crypt/crypt_cipher_descriptor.o \
ltc/misc/crypt/crypt_cipher_is_valid.o ltc/misc/crypt/crypt_constants.o ltc/misc/crypt/crypt_find_cipher.o \
ltc/misc/crypt/crypt_find_cipher_any.o ltc/misc/crypt/crypt_find_cipher_id.o ltc/misc/crypt/crypt_find_hash.o \
ltc/misc/crypt/crypt_find_hash_any.o ltc/misc/crypt/crypt_find_hash_id.o ltc/misc/crypt/crypt_find_hash_oid.o \
ltc/misc/crypt/crypt_find_prng.o ltc/misc/crypt/crypt_fsa.o ltc/misc/crypt/crypt_hash_descriptor.o \
ltc/misc/crypt/crypt_hash_is_valid.o ltc/misc/crypt/crypt_inits.o ltc/misc/crypt/crypt_ltc_mp_descriptor.o \
ltc/misc/crypt/crypt_prng_descriptor.o ltc/misc/crypt/crypt_prng_is_valid.o ltc/misc/crypt/crypt_prng_rng_descriptor.o \
ltc/misc/crypt/crypt_register_all_ciphers.o ltc/misc/crypt/crypt_register_all_hashes.o \
ltc/misc/crypt/crypt_register_all_prngs.o ltc/misc/crypt/crypt_register_cipher.o \
ltc/misc/crypt/crypt_register_hash.o ltc/misc/crypt/crypt_register_prng.o ltc/misc/crypt/crypt_sizes.o \
ltc/misc/crypt/crypt_unregister_cipher.o ltc/misc/crypt/crypt_unregister_hash.o ltc/misc/crypt/crypt_unregister_prng.o \
ltc/misc/hkdf/hkdf.o ltc/misc/padding/padding_depad.o ltc/misc/padding/padding_pad.o \
ltc/misc/pbes/pbes.o ltc/misc/pbes/pbes1.o ltc/misc/pbes/pbes2.o ltc/misc/pkcs12/pkcs12_kdf.o \
ltc/misc/pkcs12/pkcs12_utf8_to_utf16.o ltc/misc/pkcs5/pkcs_5_1.o ltc/misc/pkcs5/pkcs_5_2.o \
ltc/misc/ssh/ssh_decode_sequence_multi.o ltc/misc/ssh/ssh_encode_sequence_multi.o \
ltc/modes/cbc/cbc_decrypt.o ltc/modes/cbc/cbc_done.o ltc/modes/cbc/cbc_encrypt.o \
ltc/modes/cbc/cbc_getiv.o ltc/modes/cbc/cbc_setiv.o ltc/modes/cbc/cbc_start.o ltc/modes/cfb/cfb_decrypt.o \
ltc/modes/cfb/cfb_done.o ltc/modes/cfb/cfb_encrypt.o ltc/modes/cfb/cfb_getiv.o ltc/modes/cfb/cfb_setiv.o \
ltc/modes/cfb/cfb_start.o ltc/modes/ctr/ctr_decrypt.o ltc/modes/ctr/ctr_done.o ltc/modes/ctr/ctr_encrypt.o \
ltc/modes/ctr/ctr_getiv.o ltc/modes/ctr/ctr_setiv.o ltc/modes/ctr/ctr_start.o ltc/modes/ecb/ecb_decrypt.o \
ltc/modes/ecb/ecb_done.o ltc/modes/ecb/ecb_encrypt.o ltc/modes/ecb/ecb_start.o ltc/modes/ofb/ofb_decrypt.o \
ltc/modes/ofb/ofb_done.o ltc/modes/ofb/ofb_encrypt.o ltc/modes/ofb/ofb_getiv.o ltc/modes/ofb/ofb_setiv.o \
ltc/modes/ofb/ofb_start.o ltc/pk/asn1/der/bit/der_decode_bit_string.o ltc/pk/asn1/der/bit/der_decode_raw_bit_string.o \
ltc/pk/asn1/der/bit/der_encode_bit_string.o ltc/pk/asn1/der/bit/der_encode_raw_bit_string.o \
ltc/pk/asn1/der/bit/der_length_bit_string.o ltc/pk/asn1/der/boolean/der_decode_boolean.o \
ltc/pk/asn1/der/boolean/der_encode_boolean.o ltc/pk/asn1/der/boolean/der_length_boolean.o \
ltc/pk/asn1/der/choice/der_decode_choice.o ltc/pk/asn1/der/custom_type/der_decode_custom_type.o \
ltc/pk/asn1/der/custom_type/der_encode_custom_type.o ltc/pk/asn1/der/custom_type/der_length_custom_type.o \
ltc/pk/asn1/der/general/der_asn1_maps.o ltc/pk/asn1/der/general/der_decode_asn1_identifier.o \
ltc/pk/asn1/der/general/der_decode_asn1_length.o ltc/pk/asn1/der/general/der_encode_asn1_identifier.o \
ltc/pk/asn1/der/general/der_encode_asn1_length.o ltc/pk/asn1/der/general/der_length_asn1_identifier.o \
ltc/pk/asn1/der/general/der_length_asn1_length.o ltc/pk/asn1/der/generalizedtime/der_decode_generalizedtime.o \
ltc/pk/asn1/der/generalizedtime/der_encode_generalizedtime.o ltc/pk/asn1/der/generalizedtime/der_length_generalizedtime.o \
ltc/pk/asn1/der/ia5/der_decode_ia5_string.o ltc/pk/asn1/der/ia5/der_encode_ia5_string.o \
ltc/pk/asn1/der/ia5/der_length_ia5_string.o ltc/pk/asn1/der/integer/der_decode_integer.o \
ltc/pk/asn1/der/integer/der_encode_integer.o ltc/pk/asn1/der/integer/der_length_integer.o \
ltc/pk/asn1/der/object_identifier/der_decode_object_identifier.o ltc/pk/asn1/der/object_identifier/der_encode_object_identifier.o \
ltc/pk/asn1/der/object_identifier/der_length_object_identifier.o ltc/pk/asn1/der/octet/der_decode_octet_string.o \
ltc/pk/asn1/der/octet/der_encode_octet_string.o ltc/pk/asn1/der/octet/der_length_octet_string.o \
ltc/pk/asn1/der/printable_string/der_decode_printable_string.o ltc/pk/asn1/der/printable_string/der_encode_printable_string.o \
ltc/pk/asn1/der/printable_string/der_length_printable_string.o ltc/pk/asn1/der/sequence/der_decode_sequence_ex.o \
ltc/pk/asn1/der/sequence/der_decode_sequence_flexi.o ltc/pk/asn1/der/sequence/der_decode_sequence_multi.o \
ltc/pk/asn1/der/sequence/der_encode_sequence_ex.o ltc/pk/asn1/der/sequence/der_encode_sequence_multi.o \
ltc/pk/asn1/der/sequence/der_length_sequence.o ltc/pk/asn1/der/sequence/der_sequence_free.o \
ltc/pk/asn1/der/sequence/der_sequence_shrink.o ltc/pk/asn1/der/set/der_encode_set.o \
ltc/pk/asn1/der/set/der_encode_setof.o ltc/pk/asn1/der/short_integer/der_decode_short_integer.o \
ltc/pk/asn1/der/short_integer/der_encode_short_integer.o ltc/pk/asn1/der/short_integer/der_length_short_integer.o \
ltc/pk/asn1/der/teletex_string/der_decode_teletex_string.o ltc/pk/asn1/der/teletex_string/der_length_teletex_string.o \
ltc/pk/asn1/der/utctime/der_decode_utctime.o ltc/pk/asn1/der/utctime/der_encode_utctime.o \
ltc/pk/asn1/der/utctime/der_length_utctime.o ltc/pk/asn1/der/utf8/der_decode_utf8_string.o \
ltc/pk/asn1/der/utf8/der_encode_utf8_string.o ltc/pk/asn1/der/utf8/der_length_utf8_string.o \
ltc/pk/asn1/oid/pk_get_oid.o ltc/pk/asn1/oid/pk_oid_cmp.o ltc/pk/asn1/oid/pk_oid_str.o \
ltc/pk/asn1/pkcs8/pkcs8_decode_flexi.o ltc/pk/asn1/x509/x509_decode_subject_public_key_info.o \
ltc/pk/asn1/x509/x509_encode_subject_public_key_info.o ltc/pk/dh/dh.o ltc/pk/dh/dh_check_pubkey.o \
ltc/pk/dh/dh_export.o ltc/pk/dh/dh_export_key.o ltc/pk/dh/dh_free.o ltc/pk/dh/dh_generate_key.o \
ltc/pk/dh/dh_import.o ltc/pk/dh/dh_set.o ltc/pk/dh/dh_set_pg_dhparam.o ltc/pk/dh/dh_shared_secret.o \
ltc/pk/dsa/dsa_decrypt_key.o ltc/pk/dsa/dsa_encrypt_key.o ltc/pk/dsa/dsa_export.o \
ltc/pk/dsa/dsa_free.o ltc/pk/dsa/dsa_generate_key.o ltc/pk/dsa/dsa_generate_pqg.o \
ltc/pk/dsa/dsa_import.o ltc/pk/dsa/dsa_make_key.o ltc/pk/dsa/dsa_set.o ltc/pk/dsa/dsa_set_pqg_dsaparam.o \
ltc/pk/dsa/dsa_shared_secret.o ltc/pk/dsa/dsa_sign_hash.o ltc/pk/dsa/dsa_verify_hash.o \
ltc/pk/dsa/dsa_verify_key.o ltc/pk/ecc/ecc.o ltc/pk/ecc/ecc_ansi_x963_export.o ltc/pk/ecc/ecc_ansi_x963_import.o \
ltc/pk/ecc/ecc_decrypt_key.o ltc/pk/ecc/ecc_encrypt_key.o ltc/pk/ecc/ecc_export.o \
ltc/pk/ecc/ecc_export_openssl.o ltc/pk/ecc/ecc_find_curve.o ltc/pk/ecc/ecc_free.o \
ltc/pk/ecc/ecc_get_key.o ltc/pk/ecc/ecc_get_oid_str.o ltc/pk/ecc/ecc_get_size.o ltc/pk/ecc/ecc_import.o \
ltc/pk/ecc/ecc_import_openssl.o ltc/pk/ecc/ecc_import_pkcs8.o ltc/pk/ecc/ecc_import_x509.o \
ltc/pk/ecc/ecc_make_key.o ltc/pk/ecc/ecc_recover_key.o ltc/pk/ecc/ecc_set_curve.o \
ltc/pk/ecc/ecc_set_curve_internal.o ltc/pk/ecc/ecc_set_key.o ltc/pk/ecc/ecc_shared_secret.o \
ltc/pk/ecc/ecc_sign_hash.o ltc/pk/ecc/ecc_sizes.o ltc/pk/ecc/ecc_ssh_ecdsa_encode_name.o \
ltc/pk/ecc/ecc_verify_hash.o ltc/pk/ecc/ltc_ecc_export_point.o ltc/pk/ecc/ltc_ecc_import_point.o \
ltc/pk/ecc/ltc_ecc_is_point.o ltc/pk/ecc/ltc_ecc_is_point_at_infinity.o ltc/pk/ecc/ltc_ecc_map.o \
ltc/pk/ecc/ltc_ecc_mul2add.o ltc/pk/ecc/ltc_ecc_mulmod.o ltc/pk/ecc/ltc_ecc_mulmod_timing.o \
ltc/pk/ecc/ltc_ecc_points.o ltc/pk/ecc/ltc_ecc_projective_add_point.o ltc/pk/ecc/ltc_ecc_projective_dbl_point.o \
ltc/pk/ecc/ltc_ecc_verify_key.o ltc/pk/pkcs1/pkcs_1_i2osp.o ltc/pk/pkcs1/pkcs_1_mgf1.o \
ltc/pk/pkcs1/pkcs_1_oaep_decode.o ltc/pk/pkcs1/pkcs_1_oaep_encode.o ltc/pk/pkcs1/pkcs_1_os2ip.o \

## libcryptx-perl 0.056

=== debian/changelog ===
libcryptx-perl (0.056-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 0.056.
  * Add information about a new file to debian/copyright.
  * Declare compliance with Debian Policy 4.1.3.

 -- gregor herrmann <gregoa@debian.org>  Wed, 03 Jan 2018 20:44:21 +0100

libcryptx-perl (0.055-1) unstable; urgency=medium

  * Team upload

  * New upstream version 0.055
  * skip t/002_all_pm.t during autokpgtest smoke testing
  * drop 001_fix-types.patch, applied upstream
  * drop compilation-flags, applied upstream

 -- Damyan Ivanov <dmn@debian.org>  Tue, 28 Nov 2017 16:05:25 +0200

libcryptx-perl (0.054-1) unstable; urgency=medium

  * Team upload

  * New upstream version 0.054
  * add compilation-flags.patch making CFLAGS/CPPFLAGS be applied by the build
    process
  * refresh 001_fix-typos.patch to apply cleanly
  * bump years of upstream copyright
  * d/copyright: add a stanza for src/ltc
  * declare conformance with Policy 4.1.1

 -- Damyan Ivanov <dmn@debian.org>  Sun, 19 Nov 2017 21:07:58 +0000

libcryptx-perl (0.048-2) unstable; urgency=medium

  * Add JSON dependencies as recommended: libjson-xs-perl | libjson-pp-perl |
    libcpanel-json-xs-perl
  * Fix upstream copyright

 -- Lucas Kanashiro <kanashiro@debian.org>  Mon, 14 Aug 2017 14:48:18 -0300

libcryptx-perl (0.048-1) unstable; urgency=low

  * Initial Release. (Closes: #865828)

 -- Lucas Kanashiro <kanashiro@debian.org>  Sun, 25 Jun 2017 00:00:42 -0300

=== debian/control ===
Source: libcryptx-perl
Section: perl
Priority: optional
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Lucas Kanashiro <kanashiro@debian.org>
Build-Depends: debhelper (>= 10),
               libjson-xs-perl | libjson-pp-perl | libcpanel-json-xs-perl,
               perl
Standards-Version: 4.1.3
Homepage: https://metacpan.org/release/CryptX
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libcryptx-perl.git
Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/libcryptx-perl.git
Testsuite: autopkgtest-pkg-perl

Package: libcryptx-perl
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Recommends: libjson-xs-perl | libjson-pp-perl | libcpanel-json-xs-perl
Description: Perl module that provides a self-contained crypto toolkit
 CryptX is a self-contained crypto toolkit based on
 https://github.com/libtom/libtomcrypt. It provides cyphers, block cipher
 modes, authenticated encryption modes, hash functions, message authentication
 codes, public key cryptography, cryptographically secure random number
 generators, key derivation functions.

## libcryptx-perl 0.058

=== debian/changelog ===
libcryptx-perl (0.058-1~20250804052038.20+stretch) stretch-backports; urgency=medium

  [ Mario Fetka ]
  * Bump to new Version

  [ jenkins-debian-glue Autobuilder ]
  * SNAPSHOT autobuild for unreleased 0.058-1 via jenkins-debian-glue.

 -- jenkins-debian-glue Autobuilder <jenkins@debdev.disconnected-by-peer.at>  Mon, 04 Aug 2025 07:20:38 +0200

libcryptx-perl (0.048-0.1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Michael Prokop <mprokop@sipwise.com>  Tue, 13 Jun 2017 15:33:32 +0200

libcryptx-perl (0.048-0.1) unstable; urgency=low

  * Initial Release.

 -- Michael Prokop <mprokop@sipwise.com>  Tue, 13 Jun 2017 15:28:18 +0200

=== debian/control ===
Source: libcryptx-perl
Section: perl
Priority: optional
Maintainer: Sipwise Development Team <support@sipwise.com>
Build-Depends: debhelper,
 perl
Standards-Version: 3.9.8
Homepage: https://metacpan.org/release/CryptX

Package: libcryptx-perl
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Description: Crypto toolkit
 Cryptography in CryptX is based on https://github.com/libtom/libtomcrypt -
 being a fairly comprehensive, modular and portable cryptographic toolkit
 that provides developers with a vast array of well known published block
 ciphers, one-way hash functions, chaining modes, pseudo-random number
 generators, public key cryptography and a plethora of other routines.

## libcryptx-perl 0.061

=== debian/changelog ===
libcryptx-perl (0.061-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 0.061.

 -- gregor herrmann <gregoa@debian.org>  Sat, 23 Jun 2018 21:29:30 +0200

libcryptx-perl (0.060-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 0.060.

 -- gregor herrmann <gregoa@debian.org>  Thu, 17 May 2018 20:28:09 +0200

libcryptx-perl (0.059-1) unstable; urgency=medium

  * Team upload.

  [ gregor herrmann ]
  * debian/copyright: replace full CC0-1.0 text with pointer to
    /usr/share/common-licenses/CC0-1.0.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * Import upstream version 0.059.
  * Update years of upstream copyright.
  * Declare compliance with Debian Policy 4.1.4.

 -- gregor herrmann <gregoa@debian.org>  Mon, 09 Apr 2018 21:33:53 +0200

=== debian/control ===
Source: libcryptx-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Lucas Kanashiro <kanashiro@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper (>= 10),
               libjson-xs-perl | libjson-pp-perl | libcpanel-json-xs-perl,
               perl
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libcryptx-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libcryptx-perl.git
Homepage: https://metacpan.org/release/CryptX

Package: libcryptx-perl
Architecture: any
Depends: ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: libjson-xs-perl | libjson-pp-perl | libcpanel-json-xs-perl
Description: Perl module that provides a self-contained crypto toolkit
 CryptX is a self-contained crypto toolkit based on
 https://github.com/libtom/libtomcrypt. It provides cyphers, block cipher
 modes, authenticated encryption modes, hash functions, message authentication
 codes, public key cryptography, cryptographically secure random number
 generators, key derivation functions.

## libcryptx-perl 0.063

=== debian/changelog ===
libcryptx-perl (0.063-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 0.063.

 -- gregor herrmann <gregoa@debian.org>  Sat, 01 Dec 2018 18:55:47 +0100

libcryptx-perl (0.062-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 0.062.
  * Declare compliance with Debian Policy 4.2.1.

 -- gregor herrmann <gregoa@debian.org>  Sat, 17 Nov 2018 20:03:51 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 10),
                libjson-xs-perl | libjson-pp-perl | libcpanel-json-xs-perl,
                perl
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libcryptx-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libcryptx-perl.git
 Homepage: https://metacpan.org/release/CryptX

=== debian/watch ===
version=3
https://metacpan.org/release/CryptX   .*/CryptX-v?(\d[\d.-]*)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$

## libcryptx-perl 0.064

=== debian/changelog ===
libcryptx-perl (0.064-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 0.064.
  * debian/copyright: add a note about a new file.
  * Annotate test-only build dependencies with <!nocheck>.
  * Declare compliance with Debian Policy 4.4.0.
  * Bump debhelper-compat to 12.
  * debian/watch: use uscan version 4.
  * debian/copyright: use HTTPS for some URLs.
    Thanks: duck.

 -- gregor herrmann <gregoa@debian.org>  Sun, 21 Jul 2019 22:45:13 -0300

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Section: perl
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               libjson-xs-perl | libjson-pp-perl | libcpanel-json-xs-perl,
+Build-Depends: debhelper-compat (= 12),
+               libjson-xs-perl <!nocheck> | libjson-pp-perl <!nocheck> | libcpanel-json-xs-perl <!nocheck>,
                perl
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libcryptx-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libcryptx-perl.git
 Homepage: https://metacpan.org/release/CryptX

## libcryptx-perl 0.067

=== debian/changelog ===
libcryptx-perl (0.067-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 0.067.
  * Update years of upstream copyright.
  * Declare compliance with Debian Policy 4.5.0.
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-
    Browse.
  * Update short/long description.

 -- gregor herrmann <gregoa@debian.org>  Mon, 03 Feb 2020 20:31:12 +0100

libcryptx-perl (0.066-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 0.066.
  * Update Build-Depends for cross builds.
  * Declare compliance with Debian Policy 4.4.1.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

 -- gregor herrmann <gregoa@debian.org>  Sat, 02 Nov 2019 02:31:52 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                libjson-xs-perl <!nocheck> | libjson-pp-perl <!nocheck> | libcpanel-json-xs-perl <!nocheck>,
-               perl
-Standards-Version: 4.4.0
+               perl-xs-dev,
+               perl:native
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libcryptx-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libcryptx-perl.git
 Homepage: https://metacpan.org/release/CryptX
@@ -18,8 +19,8 @@
          ${perl:Depends},
          ${shlibs:Depends}
 Recommends: libjson-xs-perl | libjson-pp-perl | libcpanel-json-xs-perl
-Description: Perl module that provides a self-contained crypto toolkit
- CryptX is a self-contained crypto toolkit based on
+Description: Perl module that provides a self-contained cryptographic toolkit
+ CryptX is a self-contained cryptgraphico toolkit based on
  https://github.com/libtom/libtomcrypt. It provides cyphers, block cipher
  modes, authenticated encryption modes, hash functions, message authentication
  codes, public key cryptography, cryptographically secure random number

## libcryptx-perl 0.069

=== debian/changelog ===
libcryptx-perl (0.069-1) unstable; urgency=medium

  * Team upload.
  * Update 'DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow' to '=+all'.
  * Import upstream version 0.069.
  * Update license terms for src/ltc/* and src/ltm/*.
  * Bump debhelper-compat to 13.

 -- gregor herrmann <gregoa@debian.org>  Fri, 28 Aug 2020 17:27:09 +0200

libcryptx-perl (0.068-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 0.068.
  * Set Rules-Requires-Root: no.

 -- gregor herrmann <gregoa@debian.org>  Sat, 14 Mar 2020 16:47:37 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: perl
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libjson-xs-perl <!nocheck> | libjson-pp-perl <!nocheck> | libcpanel-json-xs-perl <!nocheck>,
                perl-xs-dev,
                perl:native
@@ -12,6 +12,7 @@
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libcryptx-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libcryptx-perl.git
 Homepage: https://metacpan.org/release/CryptX
+Rules-Requires-Root: no
 
 Package: libcryptx-perl
 Architecture: any

## libcryptx-perl 0.076

=== debian/changelog ===
libcryptx-perl (0.076-1build1) jammy; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Feb 2022 13:29:15 +0100

libcryptx-perl (0.076-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 0.076.
  * Update years of upstream copyright.

 -- gregor herrmann <gregoa@debian.org>  Mon, 10 Jan 2022 21:30:27 +0100

libcryptx-perl (0.075-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 0.075.

 -- gregor herrmann <gregoa@debian.org>  Sat, 25 Dec 2021 19:46:15 +0100

libcryptx-perl (0.074-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 0.074.
  * Update (test) dependencies.

 -- gregor herrmann <gregoa@debian.org>  Wed, 10 Nov 2021 18:02:36 +0100

libcryptx-perl (0.073-1) unstable; urgency=medium

  * Team upload.
  * Import upstream versions 0.070, 0.073.
  * Use HTTPS for 2 URLs in debian/copyright. Thanks to duck.
  * Update test and runtime dependencies.
  * Update years of upstream copyright.
  * Declare compliance with Debian Policy 4.6.0.

 -- gregor herrmann <gregoa@debian.org>  Sun, 19 Sep 2021 02:25:39 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               libjson-xs-perl <!nocheck> | libjson-pp-perl <!nocheck> | libcpanel-json-xs-perl <!nocheck>,
+               libjson-perl <!nocheck>,
+               libmath-bigint-perl <!nocheck>,
                perl-xs-dev,
                perl:native
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libcryptx-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libcryptx-perl.git
 Homepage: https://metacpan.org/release/CryptX
@@ -18,8 +19,9 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${perl:Depends},
-         ${shlibs:Depends}
-Recommends: libjson-xs-perl | libjson-pp-perl | libcpanel-json-xs-perl
+         ${shlibs:Depends},
+         libmath-bigint-perl
+Recommends: libjson-perl
 Description: Perl module that provides a self-contained cryptographic toolkit
  CryptX is a self-contained cryptgraphico toolkit based on
  https://github.com/libtom/libtomcrypt. It provides cyphers, block cipher

## libcryptx-perl 0.077

=== debian/changelog ===
libcryptx-perl (0.077-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 0.077.
  * Declare compliance with Debian Policy 4.6.1.

 -- gregor herrmann <gregoa@debian.org>  Wed, 24 Aug 2022 17:43:48 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libmath-bigint-perl <!nocheck>,
                perl-xs-dev,
                perl:native
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libcryptx-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libcryptx-perl.git
 Homepage: https://metacpan.org/release/CryptX

## libcryptx-perl 0.078

=== debian/changelog ===
libcryptx-perl (0.078-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 0.078.
  * Declare compliance with Debian Policy 4.6.2.

 -- gregor herrmann <gregoa@debian.org>  Sun, 25 Jun 2023 04:26:17 +0200

## libcryptx-perl 0.080

=== debian/changelog ===
libcryptx-perl (0.080-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:19:06 +1100

libcryptx-perl (0.080-2build2) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 15:50:05 +0100

libcryptx-perl (0.080-2build1) noble; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jan 2024 13:40:21 +0100

libcryptx-perl (0.080-2) unstable; urgency=medium

  * Team upload.

  [ Benedikt Spranger ]
  * Step back to Debian architectural baseline.
    The Debian architectural baseline states: amd64 x86_64 with no optional
    extensions (psABI baseline). The core specification includes MMX, SSE and
    SSE2 so these are OK, but SSE3 and up are not guaranteed.
    Remove the SSE4.1 and AES compiler flags.
    Closes: #1056399

 -- gregor herrmann <gregoa@debian.org>  Fri, 24 Nov 2023 19:14:56 +0100

libcryptx-perl (0.080-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 0.080.
  * Drop debian/tests/pkg-perl/smoke-skip.
    The skipped test is disabled by default.
  * Update years of upstream copyright.

 -- gregor herrmann <gregoa@debian.org>  Wed, 01 Nov 2023 21:30:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: libcryptx-perl
-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Lucas Kanashiro <kanashiro@debian.org>
 Section: perl
 Testsuite: autopkgtest-pkg-perl
@@ -9,7 +10,7 @@
                libmath-bigint-perl <!nocheck>,
                perl-xs-dev,
                perl:native
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libcryptx-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libcryptx-perl.git
 Homepage: https://metacpan.org/release/CryptX

## libcryptx-perl 0.082.001

=== debian/changelog ===
libcryptx-perl (0.082.001-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 0.082.001.
    Closes: #1084502

 -- gregor herrmann <gregoa@debian.org>  Tue, 15 Oct 2024 00:55:40 +0200

libcryptx-perl (0.082-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 0.082.
  * Drop 0001-Fix-SSH-RSA-key-decryption-on-64-bit-big-endian-host.patch
    (fixed differently upstream).

 -- gregor herrmann <gregoa@debian.org>  Mon, 07 Oct 2024 17:28:20 +0200

libcryptx-perl (0.081-2) unstable; urgency=medium

  * Team upload.
  * Add patch from Niko Tyni to fix SSH RSA key decryption
    on 64-bit big endian hosts. (Closes: #1082952)

 -- gregor herrmann <gregoa@debian.org>  Wed, 02 Oct 2024 20:19:12 +0200

libcryptx-perl (0.081-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 0.081.
  * Drop x86_64-baseline.patch, the compiler flags have been removed from
    Makefile.PL.
  * Update years of upstream copyright.
  * Declare compliance with Debian Policy 4.7.0.

 -- gregor herrmann <gregoa@debian.org>  Mon, 16 Sep 2024 21:08:49 +0200

## libcryptx-perl 0.084

=== debian/changelog ===
libcryptx-perl (0.084-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 0.084.

 -- gregor herrmann <gregoa@debian.org>  Sun, 27 Oct 2024 20:50:22 +0100

## libcryptx-perl 0.085

=== debian/changelog ===
libcryptx-perl (0.085-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 0.085.
  * Update years of upstream copyright.

 -- gregor herrmann <gregoa@debian.org>  Sat, 15 Feb 2025 22:14:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: libcryptx-perl
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Lucas Kanashiro <kanashiro@debian.org>
 Section: perl
 Testsuite: autopkgtest-pkg-perl
@@ -10,7 +9,7 @@
                libmath-bigint-perl <!nocheck>,
                perl-xs-dev,
                perl:native
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libcryptx-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libcryptx-perl.git
 Homepage: https://metacpan.org/release/CryptX

## libcryptx-perl 0.087

=== debian/changelog ===
libcryptx-perl (0.087-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 0.087.
    Fixes CVE-2025-40914:
    "CryptX embeds a version of the libtommath library that is susceptible to
    an integer overflow associated with CVE-2023-36328."
    Closes: #1107697
  * Install new SECURITY.md document.
  * Declare compliance with Debian Policy 4.7.2.
  * Remove Rules-Requires-Root: no.
  * Update 3rd-party filename in debian/copyright.

 -- gregor herrmann <gregoa@debian.org>  Mon, 11 Aug 2025 00:21:57 +0200

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,10 @@
                libmath-bigint-perl <!nocheck>,
                perl-xs-dev,
                perl:native
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libcryptx-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libcryptx-perl.git
 Homepage: https://metacpan.org/release/CryptX
-Rules-Requires-Root: no
 
 Package: libcryptx-perl
 Architecture: any

=== debian/watch ===
version=4
https://metacpan.org/release/CryptX   .*/CryptX-v?@ANY_VERSION@@ARCHIVE_EXT@$
